all repos

dotfiles @ 0d2b7d6ba31191427300a55fedd843c0f86003d0

my dotfiles
31 files changed, 756 insertions(+), 313 deletions(-)
:art: Update
Author: Smirnov Olexandr ss2316544@gmail.com
Committed at: 2020-11-25 20:53:55 +0200
Parent: 07805d4
A Makefile

@@ -0,0 +1,33 @@

+install_config: + cp ./bashrc ~/.bashrc + cp ./gitconfig ~/.gitconfig + cp ./gitignore_global ~/.gitignore_global + cp ./taskrc ~/.taskrc + cp ./vimrc ~/.vimrc + cp ./zshrc ~/.zshrc + cp ./conkyrc ~/.conkyrc + cp ./config/picom.conf ~/.config/picom.conf + cp ./config/redshift.conf ~/.config/redshift.conf + cp -r ./config/berry/ ~/.config/ + cp -r ./config/dunst/ ~/.config/ + cp -r ./config/fish/ ~/.config/ + cp -r ./config/htop/ ~/.config/ + cp -r ./config/i3/ ~/.config/ + cp -r ./config/kitty/ ~/.config + cp -r ./config/neofetch/ ~/.config/ + cp -r ./config/polybar/ ~/.config/ + cp -r ./config/qutebrowser/ ~/.config/ + cp -r ./config/ranger ~/.config/ + cp -r ./config/rofi/ ~/.config/ + +install_script: + mkdir ~/.script/dmenu -p + cp ./script/change-shell.sh ~/.script/change-shell.sh + cp ./script/manjaro-fetch.sh ~/.script/manjaro-fetch.sh + cp ./script/snap-remove-old-pkg.sh ~/.script/snap-remove-old-pkg.sh + cp ./script/walpapper-changer.sh ~/.script/walpapper-changer.sh + cp ./script/dmenu/dmenu-power.sh ~/.script/dmenu/dmenu-power.sh + cp ./script/dmenu/dmenu-config-edit.sh ~/.script/dmenu/dmenu-config-edit.sh + cp ./scripts/dmenu/dmenu-sysmon.sh ~/.script/dmenu/dmenu-sysmon.sh + +install: install_config install_script
M README.md

@@ -1,12 +1,10 @@

# Dotfiles -![Screen](https://i.imgur.com/OFEhWem.png) __walpappers: [Dropbox](https://www.dropbox.com/s/yx7tsplowtyih7f/walpapper.zip?dl=0) [Google Drive](https://drive.google.com/file/d/1PX76sgLygXfo9qhsdN3cCsFuFuNKpM1y/view?usp=sharing)__ **Preparing for installation** ~~~bash -curl -fsSL https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh -git clone https://github.com/Smirnov-O/zsh-simple-colors ~/.oh-my-zsh/custom/themes -curl -L https://get.oh-my.fish | fish +git clone https://github.com/Smirnov-O/dotfiles +make install sudo pacman -S i3-wm bspwm polybar dunst rofi picom feh nitrogen redshift task \ kitty ranger htop bash zsh git vim neofetch scrot clipboard yay bash zsh python-tldextract \

@@ -17,7 +15,7 @@

### Packages | Name | Description | | ------------------------------------------------------------------------ | ----------------- | -| `i3-wm`, `qtile` | Window Manager | +| `i3-wm`, `qtile` | Window Manager | | `polybar` | Panel | | `dunst` | Notify manager | | `rofi` | Program loncher |
A config/berry/README.md

@@ -0,0 +1,37 @@

+# [Berry](https://berrywm.org) + +![Seceenshot](screen.png) + +--- + +### Autostart +~~~bash +sxhkd -c ~/.config/berry/sxhkdrc & +picom -b & +~/.config/berry/polybar/bar.sh & +nitrogen --restore & +setxkbmap "us,ru,ua" ",winkeys" "grp:alt_shift_toggle" -option "ctrl:nocaps" +~~~ + +### Keybindings +--------------- + +| Shourtcut | Command | +| ------------------------- | ------ | +| `mod` + q | Kill focus window | +| `mod` + `split` + enter | Run program launcher (Rofi) | +| `mod` + esc | Power [menu](https://github.com/Smirnov-O/dotfiles/blob/master/scripts/dmenu/dmenu-power.sh) | +| `mod` + `ctrl` + u | Config edit [menu](https://github.com/Smirnov-O/dotfiles/blob/master/scripts/dmenu/dmenu-config-edit.sh) | +| `mod` + `ctrl` + i | Passmenu(Dmenu interface for [pass](https://passwordstore.org)) | +| `mod` + enter | Run `kitty` | +| `mod` + F2 | Run `firefox` | +| `mod` + `shift` + esc | Run `xkill` | +| `mod` + plus | Add 5% volume | +| `mod` + minus | Minus 5% volume | +| `mod` + `shift` + minus | Mute volume | +| `mod` + tab | Change focus window | +| `mod` + h/j/k/l | Move focus window | +| `mod` + `shift` + h/j/k/l | Resize focus window | +| `mod` + [1-9] | Change workspace | +| `mod` + `shift` + [1-9] | Send focus window to workspace | +| `mod` + `alt` + t | Open ~/.todo file |
A config/berry/autostart

@@ -0,0 +1,24 @@

+#!/bin/bash +sxhkd -c ~/.config/berry/sxhkdrc & +picom -b & +/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 & +setxkbmap "us,ru,ua" ",winkeys" "grp:alt_shift_toggle" -option "ctrl:nocaps" & +~/.config/berry/polybar/bar.sh & +nitrogen --restore & + +berryc border_width 1 +berryc inner_border_width 1 +berryc title_height 0 +berryc top_gap 0 + +berryc focus_color 073642 +berryc unfocus_color 002b36 +berryc inner_focus_color 268bd2 +berryc inner_unfocus_color 002b36 +berryc text_focus_color ffffff +berryc text_unfocus_color efefef + +berryc smart_place "true" +berryc draw_text "true" +berryc edge_lock "true" +berryc set_font "Jetbrains Mono"
A config/berry/polybar/bar.sh

@@ -0,0 +1,5 @@

+#!/bin/bash +killall -q polybar +while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done +polybar -c ~/.config/berry/polybar/polybar top & +polybar -c ~/.config/berry/polybar/polybar bom &
A config/berry/polybar/polybar

@@ -0,0 +1,90 @@

+[settings] +pseudo-transparency = true + +[colors] +background = #002B36 +foreground = #dfdfdf +secondary = #073642 +alert = #268bd2 + +;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; +[bar/top] +width = 14% +height = 22 +override-redirect = false +background = ${colors.background} +foreground = ${colors.foreground} +offset-x = 85.8% +offset-y = 0.4% +module-margin-left = 1 +module-margin-right = 1 +font-0 = Iosevka Nerd Font:style=Medium:size=8;3 +font-1 = FontAwesome5Free:style=Solid:size=7.5;2.5 +modules-center = keyboard pulseaudio wifi-signal time + +[bar/bom] +width = 6% +height = 22 +bottom = true +offset-x = 93.8% +offset-y = 0.4% +font-0 = Iosevka Nerd Font:style=Medium:size=8;3 +font-1 = FontAwesome5Free:style=Solid:size=7.5;2.5 +background = ${colors.background} +foreground = ${colors.foreground} +modules-center = t +tray-position = center + +[module/backlight] +type = internal/xbacklight +format = <ramp> <label> +label = %percentage%% +ramp-0 =  + +[module/wifi-signal] +type = custom/script +label =  %output:%% +exec = ~/.config/polybar/scripts/wifi-signal.sh +interval = 3.0 + +[module/pulseaudio] +type = internal/pulseaudio +format-volume = <ramp-volume> <label-volume> +label-volume = %percentage%% +label-volume-foreground = ${root.foreground} +label-muted =  +ramp-volume-0 =  +ramp-volume-1 =  +ramp-volume-2 =  +ramp-volume-3 =  +ramp-volume-4 =  + +[module/updates-pacman] +type = custom/script +exec = ~/.config/polybar/scripts/updates-pacman-aur.sh +interval = 60 + +[module/keyboard] +type = internal/xkeyboard +label-NAME-maxlen = 10 +format-prefix = "" +label-layout =  %layout% +blacklist-0 = num lock +blacklist-1 = scroll lock +blacklist-2= caps lock + +[module/date] +type = internal/date +interval = 600 +date = %b %e +label =  %date% + +[module/time] +type = internal/date +interval = 0 +time = %H:%M +label =  %time% + +[module/t] +type = custom/text +content = " "
A config/berry/polybar/wifi-signal.sh

@@ -0,0 +1,2 @@

+#!/bin/sh +cat /proc/net/wireless | grep "wlp3s0" | awk '{print $4}' | grep -o '[0-9]*'
A config/berry/screen.png

Not showing binary file.

A config/berry/sxhkdrc

@@ -0,0 +1,55 @@

+# ------ Apps ------- # +super + F2 + firefox +super + Return + kitty +super + shift + Escape + xkill +super + alt + t + kitty nvim .todo + +# ------ Volum ------ # +super + equal + pactl set-sink-volume alsa_output.pci-0000_00_1b.0.analog-stereo +5% +super + minus + pactl set-sink-volume alsa_output.pci-0000_00_1b.0.analog-stereo -5% +super + shift + minus + pactl set-sink-mute alsa_output.pci-0000_00_1b.0.analog-stereo toggle + +# ------ Menus ------ # +super + shift + Return + rofi -show drun +super + Escape + ~/.script/dmenu/dmenu-power.sh +super + control + i + passmenu -h 24 -p Passwoeds +super + control + u + ~/.script/dmenu/dmenu-config-edit.sh +super + control + o + ~/.script/dmenu/dmenu-sysmon.sh + +# ------ Berry ------ # +super + {h, j, k, l} + berryc window_move {-50 0, 0 50, 0 -50, 50 0} +super + shift + {h, j, k, l} + berryc window_resize {-50 0, 0 50, 0 -50, 50 0} +super + {1-9} + berryc switch_workspace {0-9} +super + shift + {1-9} + berryc send_to_workspace {0-9} +super + m + berryc window_monocle +super + p + berryc snap_right +super + o + berryc snap_left +super + n + berryc toggle_decorations +super + Tab + berryc cycle_focus +super + q + berryc window_close +super + c + berryc window_center +~button1 + berryc pointer_focus
M config/fish/config.fish

@@ -4,7 +4,7 @@ set fish_greeting

### VARIABLES ### export EDITOR="nvim" -export VISUAL="emacsclient -c -a emacs" +export VISUAL="nvim" export TERM="kitty" ### ALIASES ###
A config/i3/README.md

@@ -0,0 +1,95 @@

+# [i3](https://i3wm.org) + +![Seceenshot](screen.png) + +---- + +**Mod key:** `super(win)` +**Font:** `monospace 10`, `JetBrains Mono 10` + +### Auttostart +-------------- +~~~bash +picom -b +nmcli radio wifi on; nmcli device wifi connect <wifi_name> password <wifi_pass> name net +redshift-gtk +nitrogen --restore +setxkbmap "us,ru,ua" ",winkeys" "grp:alt_shift_toggle" -option "ctrl:nocaps" +org.telegram.desktop +~~~ + +### Variables +------------- +~~~i3 +set $terminal kitty +set $browser qutebwoser +~~~ + + +### Keybindings +--------------- + +| Shourtcut | Command | +| ----------------------- | ------ | +| `mod` + q | Kill focus window | +| `mod` + `ctrl` + r | Restart i3 | +| `mod` + a | Focus thr oarent container | +| `mod` + `shift` + space | Enable/disable floating mode | +| `mod` + F11 | Enable/disable fullscreen mode | +| `mod` + h/v | Horisontal/Vertical split | +| `mod` + s/w/e | Container mode Stacked/Tabbed/Split | +| `mod` + `shift` + ~ | Move focus window to scratchpad | +| `mod` + ~ | Show window from scratchpad | +| `mod` + `shift` + enter | Run program launcher (Rofi) | +| `mod` + esc | Power [menu](https://github.com/Smirnov-O/dotfiles/blob/master/scripts/dmenu/dmenu-power.sh) | +| `mod` + `ctrl` + u | Config edit [menu](https://github.com/Smirnov-O/dotfiles/blob/master/scripts/dmenu/dmenu-config-edit.sh) | +| `mod` + `ctrl` + i | Passmenu(Dmenu interface for [pass](https://passwordstore.org)) | +| `mod` + tab | Window switcher(Rofi) | +| `mod` + enter | Run program from `$terminal` variable(default: kitty) | +| `mod` + F2 | Run program from `$browser` variable(default: qutebwoser) | +| Print Screen | Screenshot | +| `mod` + plus | Add 5% volume | +| `mod` + minus | Minus 5% volume | +| `mod` + `shift` + minus | Mute volume | +| `mod` + Arrow/(h/j/k/l) | Change focus window | +| `mod` + `shift` + Arrow/(h/j/k/l) | Move focus window | +| `mod` + [1-9] | Change workspace | +| `mod` + `shift` + [1-9] | Send focus window to workspace | +| `mod` + `alt` + t | Open ~/.todo file | +| `mod` + r | Enable/disable `resize` mode | +| `mod` + g | Enable/disable `gups` | + +### Rules +--------- +Open `kitty` on `1` workspace + +Open `chromium, `firefox`, `qutebwoser` on `2` workspace + +Open `sublime`, `code`, `emacs` on `3` workspace + +Open `thunar`, `pcmanfm` on `4` workspace + +Open `discord`, `telegram` on `6` workspace + +Open `keepassxc` on `7` workspace + +Open `mousepad`, `lxappeatance`, `qt5ct`, `notrogen` in floating mode + +### Modes +--------- + +**Resize:** chande window size + +**Gups:** edit gups size + +| Keys for `resize` mode | What is he doing | +| -------------------- | -------------------------- | +| Arrow / (h/j/k/l) | Change window size on 10px | +| enter / esc / `mod` + r | Exit from resize mode | + +| Keys for `gups` mode | What is he doing | +| -------------------- | -------------------------- | +| plus / minus | Plus/Minus 2px gups | +| 0 | Set `0` gups | +| `shift` + plus/minus | Plus/Minus 4px gups | +| enter / esc / `mod` + g | Exit from resize mode |
A config/i3/bar.sh

@@ -0,0 +1,4 @@

+#!/bin/bash +killall -q polybar +while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done +polybar i3bar &
M config/i3/config

@@ -15,74 +15,75 @@

# Borders hide_edge_borders smart +############ Variables ########### +set $terminal kitty +set $browser qutebrowser + ############ Autostart ############ exec --no-startup-id exec picom -b -exec --no-startup-id exec nmcli radio wifi on; nmcli device wifi connect Pechenka password 24032006 name net +exec --no-startup-id exec nmcli radio wifi on; nmcli device wifi connect <wifi_name> password <wifi_password> name net exec --no-startup-id exec redshift-gtk exec --no-startup-id exec nitrogen --restore exec --no-startup-id exec setxkbmap "us,ru,ua" ",winkeys" "grp:alt_shift_toggle" -option "ctrl:nocaps" exec --no-startup-id exec org.telegram.desktop +exec --no-startup-id exec conky #exec --no-startup-id exec discord -exec_always --no-startup-id /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 -exec_always --no-startup-id $HOME/.config/polybar/launch.sh +exec --no-startup-id /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 +exec_always --no-startup-id $HOME/.config/i3/bar.sh ############ Key bindings ######### + +### I3 # Kill focus window bindsym $mod+q kill # Restart i3wm -bindsym $mod+Shift+r restart -# Terminal -bindsym $mod+Return exec kitty +bindsym $mod+Control+r restart # Focus the parent container bindsym $mod+a focus parent # Floating window bindsym $mod+Shift+space floating toggle # Fullscreen mode bindsym $mod+F11 fullscreen toggle - -# Load program -bindsym $mod+F2 exec qutebrowser - - +# Splits +bindsym $mod+b split h +bindsym $mod+v split v +# Change container layout(stacked, tabbed, toggle split) +bindsym $mod+s layout stacking +bindsym $mod+w layout tabbed +bindsym $mod+e layout toggle split +# Scratchpad +bindsym $mod+Shift+grave move scratchpad +bindsym $mod+grave scratchpad show, floating disable -# Program/Exit/Window switch/Clipboard -bindsym $mod+r exec "i3-dmenu-desktop --dmenu='dmenu -h 24 -p Run'" -bindsym $mod+space exec "rofi -show drun -show cobi -show-icons" -bindsym $mod+Shift+Return exec "dmenu_run -h 24 -p Run" +### Launchers +bindsym $mod+p exec "dmenu_run -h 24 -p Run" +bindsym $mod+Shift+Return exec "rofi -show drun -drun-display-format '{name}'" bindsym $mod+Escape exec "~/.script/dmenu/dmenu-power.sh" bindsym $mod+Control+u exec ~/.script/dmenu/dmenu-config-edit.sh bindsym $mod+Control+i exec passmenu -h 24 -p Passwords - -bindsym $mod+Tab exec "rofi -show window -show-icons" bindsym $alt+Tab exec "rofi -show window -show-icons" -bindsym $mod+c exec "CM_LAUNCHER=rofi clipmenu" -# Sceenshot +### Applications +bindsym $mod+Return exec $terminal +bindsym $mod+F2 exec $browser +bindsym --release $mod+Shift+Escape exec xkill +bindsym $mod+$alt+t exec $terminal -e "nvim ~/.todo" + + +### Sceenshot bindsym --release Print exec "scrot -s /home/${USER}/$(date +%Y-%m-%d-%H-%M-%S).png" bindsym --release Shift+Print exec "scrot /home/${USER}/$(date +%Y-%m-%d-%H-%M-%S).png" -# Volume + +### Volume bindsym $mod+plus exec "pactl set-sink-volume alsa_output.pci-0000_00_1b.0.analog-stereo +5%" bindsym $mod+minus exec "pactl set-sink-volume alsa_output.pci-0000_00_1b.0.analog-stereo -5%" bindsym $mod+Shift+minus exec "pactl set-sink-mute alsa_output.pci-0000_00_1b.0.analog-stereo toggle" -# Splits -bindsym $mod+b split h -bindsym $mod+v split v - -# Change container layout(stacked, tabbed, toggle split) -bindsym $mod+s layout stacking -bindsym $mod+w layout tabbed -bindsym $mod+e layout toggle split - -# Scratchpad -bindsym $mod+Shift+grave move scratchpad -bindsym $mod+grave scratchpad show, floating disable - ######### Window preferens ######## -assign [class="Kitty"] $ws1 +#assign [class="Kitty"] $ws1 #assign [class="(?i)chromium|firefox|qutebrowser"] $ws2 #assign [class="(?i)subl|code|emacs"] $ws3 #assign [class="(?i)thunar"] $ws4

@@ -92,11 +93,9 @@ assign [title="KeePassXC"] $ws7

#for_window [title="Ranger_FM"] move to workspace $ws4 #for_window [class="Spotify"] move to workspace $ws9 for_window [class="(?i)mousepad"] floating enable -for_window [title="Terminal-floating"] floating enable for_window [class="(?i)lxappearance|qt5ct"] floating enable for_window [class="(?i)nitrogen"] floating enable -#for_window [class=""] -for_window [urgent="lastet"] focus +for_window [class="(?i)virtualbox"] floating enable #focus_on_window_activation focus ############## Gaps ###############

@@ -154,15 +153,14 @@ bindsym $mod+Shift+7 move container to workspace $ws7

bindsym $mod+Shift+8 move container to workspace $ws8 bindsym $mod+Shift+9 move container to workspace $ws9 -########### Resize mode ########### -bindsym $mod+Control+r mode "resize" -bindsym $mod+Control+g mode "gaps" - +############## Modes ############## +bindsym $mod+r mode "resize" +bindsym $mod+g mode "gaps" mode "resize" { - bindsym j resize shrink width 10 px or 10 ppt - bindsym k resize grow height 10 px or 10 ppt - bindsym l resize shrink height 10 px or 10 ppt - bindsym semicolon resize grow width 10 px or 10 ppt + bindsym h resize shrink width 10 px or 10 ppt + bindsym j resize grow height 10 px or 10 ppt + bindsym k resize shrink height 10 px or 10 ppt + bindsym l resize grow width 10 px or 10 ppt bindsym Left resize shrink width 10 px or 10 ppt bindsym Down resize grow height 10 px or 10 ppt

@@ -171,6 +169,7 @@ bindsym Right resize grow width 10 px or 10 ppt

bindsym Return mode "default" bindsym Escape mode "default" + bindsym $mod+r mode "default" } mode "gaps" { bindsym plus gaps inner current plus 2

@@ -183,13 +182,14 @@ bindsym Shift+0 gaps inner all set 0

bindsym Return mode "default" bindsym Escape mode "default" + bindsym $mod+g mode "default" } ############## Colors ############# -# Class Border Backgr Text Indicator Child_border -client.focused #268bd2 #268bd2 #ffffff #268bd2 #268bd2 -client.focused_inactive #000000 #000000 #ffffff #000000 #000000 -client.unfocused #000000 #000000 #888888 #000000 #000000 -client.urgent #000000 #000000 #ffffff #000000 #000000 +# Class Border Backgr Text Indicator Child_border +client.focused #268bd2 #268bd2 #dfdfdf #268bd2 #268bd2 +client.focused_inactive #002b36 #002b36 #dfdfdf #002b36 #002b36 +client.unfocused #002b36 #002b36 #586e75 #002b36 #002b36 +client.urgent #002b36 #002b36 #ffffff #002b36 #002b36 client.placeholder #000000 #000000 #ffffff #000000 #000000 client.background #ffffff
A config/i3/screen.png

Not showing binary file.

M config/kitty/kitty.conf

@@ -2,61 +2,43 @@ #: MOD

#kitty_mod ctrl+shift clear_all_shortcuts no - - -#: Font +# Font font_family Jetbrains Mono bold_font auto italic_font auto bold_italic_font auto - font_size 12.0 - adjust_line_height 0 adjust_column_width 0 - disable_ligatures never font_features none box_drawing_scale 0.001, 1, 1.5, 2 - - -#: Cursor +# Cursor cursor #dfdfdf cursor_text_color #7d7d7d - -#cursor_shape block cursor_shape beam - cursor_beam_thickness 1.5 cursor_underline_thickness 2.0 - cursor_blink_interval 0 cursor_stop_blinking_after 15.0 - - -#: Bell +# Bell enable_audio_bell no visual_bell_duration 0.0 window_alert_on_bell no command_on_bell none bell_on_tab no - - -#: Scrollback (History) +# Scrollback (History) scrollback_lines 500 scrollback_pager less --chop-long-lines --RAW-CONTROL-CHARS +INPUT_LINE_NUMBER scrollback_pager_history_size 0 wheel_scroll_multiplier 5.0 touch_scroll_multiplier 1.0 - - -#: Mouse +# Mouse mouse_hide_wait 2.5 - url_color #4ecdc4 url_style curly

@@ -72,17 +54,13 @@ click_interval -1.0

focus_follows_mouse yes pointer_shape_when_grabbed arrow - - -#: Perfomance +# Perfomance repaint_delay 10 input_delay 3 sync_to_monitor yes command_on_bell none - - -#: Window +# Window remember_window_size yes initial_window_width 640 initial_window_height 480

@@ -106,9 +84,7 @@ resize_debounce_time 0.1

resize_draw_strategy static resize_in_steps no - - -#: Tabs +# Tabs tab_bar_edge bottom tab_bar_margin_width 0.0 tab_bar_style powerline

@@ -117,6 +93,7 @@ tab_switch_strategy previous

tab_fade 0.25 0.5 0.75 1 tab_separator "┇" tab_title_template "{title}" +tab_bar_background none active_tab_title_template none active_tab_foreground #dfdfdf

@@ -126,13 +103,10 @@ inactive_tab_foreground #dfdfdf

inactive_tab_background #292f36 inactive_tab_font_style normal -tab_bar_background none - - - -#: Theming +# Theming foreground #dfdfdf -background_opacity 0.85 +#background_opacity 0.85 +background_opacity 1 background_image none background_image_layout tiled background_image_linear no

@@ -142,16 +116,12 @@ dim_opacity 0.75

selection_foreground #edebd7 selection_background #073642 - - -#: Keyboard Shortcuts -#: #: Clipboard +# Keyboard Shortcuts map ctrl+shift+c copy_to_clipboard map ctrl+shift+v paste_from_clipboard map shift+insert paste_from_selection map kitty_mod+o pass_selection_to_program -#: #: Scroll map shift+up scroll_line_up map shift+down scroll_line_down map shift+page_up scroll_page_up

@@ -159,17 +129,8 @@ map shift+page_down scroll_page_down

map shift+home scroll_home map shift+end scroll_end map ctrl+shift+h show_scrollback - -#: #: Window -map ctrl+F9 new_os_window -map alt+] next_window -map alt+[ previous_window -map alt+f move_window_forward -map alt+b move_window_backward -map alt+` move_window_to_top map alt+r start_resizing_window -#: #: Tab map ctrl+shift+l next_tab map ctrl+shift+h previous_tab map ctrl+shift+t new_tab

@@ -186,48 +147,34 @@ map alt+8 eighth_window

map alt+9 ninth_window map alt+0 tenth_window -#: #: Font Size +# Font Size map alt+equal change_font_size all +2.0 map alt+minus change_font_size all -2.0 map alt+ctrl+backspace change_font_size all 0 -#:#: Other +# Other map f11 toggle_fullscreen map ctrl+shift+f10 toggle_maximized map ctrl+shift+u kitten unicode_input map ctrl+shift+f2 edit_config_file -#map kitty_mod+escape kitty_shell window -map kitty_mod+delete clear_terminal reset active - -selection_background #073642 +background #002B36 +foreground #d2dae2 +selection_background #002731 selection_foreground #edebd7 -foreground #d2dae2 -#background #1e272e -background #002B36 - -cursorColor #d2dae2 - -color0 #1e272e -color8 #485460 - -color1 #ff3f34 -color9 #ff5e57 - -color2 #05c46b -color10 #0be881 - -color3 #ffa801 -color11 #ffc048 - -color4 #3c40c6 -color12 #575fcf - -color5 #f53b57 -color13 #ef5777 - -color6 #0fbcf9 -color14 #4bcffa - -color7 #808e9b -color15 #d2dae2 +color0 #002731 +color8 #001e26 +color1 #d01b24 +color9 #bd3612 +color2 #728905 +color10 #465a61 +color3 #a57705 +color11 #52676f +color4 #2075c7 +color12 #708183 +color5 #c61b6e +color13 #5856b9 +color6 #259185 +color14 #81908f +color7 #e9e2cb +color15 #fcf4dc
M config/nvim/init.vim

@@ -17,6 +17,7 @@

" Language support Plug 'pangloss/vim-javascript', { 'for': 'javascript' } Plug 'PotatoesMaster/i3-vim-syntax' + Plug 'kovetskiy/sxhkd-vim' Plug 'vim-python/python-syntax', { 'for': 'python' } Plug 'mattn/emmet-vim', { 'on': 'Emmet' } Plug 'cakebaker/scss-syntax.vim', { 'for': 'scss' }

@@ -84,6 +85,7 @@ \ 'right': [ [ 'lineinfo' ],

\ [ 'percent' ], \ [ 'filename', 'fileencoding', 'filetype' ] ] \ }, } +set noshowmode """"""""""""""""""""""""""" """"""""" Nerdtree """"""""

@@ -115,6 +117,8 @@

" ============ " == Maping == " ============ +imap ii <Esc> + let mapleader="," " Change window
M config/polybar/config

@@ -21,7 +21,6 @@ height = 24

fixed-center = true wm-restack = i3 -;override-redirect = true background = ${colors.background} foreground = ${colors.foreground}

@@ -29,14 +28,6 @@

line-size = 3 line-color = #000000 -#padding-left = 2 -#padding-right = 2 - -#radius = 6.0 -#border-left-size = 0.2% -#border-top-size = 0.2% -#border-right-size = 0.2% - module-margin-left = 1 module-margin-right = 1

@@ -44,14 +35,11 @@ font-0 = Iosevka Nerd Font:style=Medium:size=8;3

font-1 = FontAwesome5Free:style=Solid:size=7.5;2.5 font-2 = Weather Icons:size=7;2 -modules-left = i3 weather -modules-right = keyboard pulseaudio backlight wifi-signal time +modules-left = i3 title +modules-right = keyboard pulseaudio backlight wifi-signal date time tray-position = right ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; -[settings] -screenchange-reload = true - [module/i3] type = internal/i3 format = <label-state><label-mode>

@@ -120,16 +108,6 @@ exec = ~/.config/polybar/scripts/wifi-signal.sh

interval = 3.0 -[module/filesystem] -type = internal/fs -interval = 25 -mount-0 = / -mount-1 = /home -label-mounted =  %mountpoint%: %percentage_used%% -label-unmounted = %mountpoint% not mounted -label-unmounted-foreground = ${colors.foreground} - - [module/pulseaudio] type = internal/pulseaudio format-volume = <ramp-volume> <label-volume>

@@ -144,21 +122,6 @@ ramp-volume-3 = 

ramp-volume-4 =  -[module/cpu] -type = internal/cpu -interval = 2 -format-prefix = " " -format-prefix-foreground = ${colors.foreground} -label =  CPU %percentage%% - - -[module/memory] -type = internal/memory -interval = 2 -format-prefix = " " -label =  MEM %percentage_used%% - - [module/weather] type = custom/script exec = python3 ~/.config/polybar/scripts/weather.py

@@ -166,13 +129,6 @@ interval = 60

label-font = 1 -[module/spotify] -type = custom/script -interval = 1 -format = <label> -exec = python ~/.config/polybar/scripts/spotify_status.py -f '{artist} - {song}' -format-underline = ${colors.alert} - [module/updates-pacman] type = custom/script exec = ~/.config/polybar/scripts/updates-pacman-aur.sh

@@ -190,14 +146,6 @@ blacklist-1 = scroll lock

blacklist-2= caps lock -[module/microphone] -type = custom/script -label = %output:0:40:...% -exec = ~/.config/polybar/scripts/microphone.sh   -click-left = ~/.config/polybar/scripts/microphone.sh --click -interval = 0 - - [module/sp2] type = custom/text content = "┇"

@@ -219,13 +167,7 @@

[module/title] type = internal/xwindow -label = %title:0:50:...% +label = %title% +format-padding = 4 label-empty = label-maxlen = 50 - - -[module/clipmenu] -type = custom/text -content = "" -click-left = "CM_LAUNCHER=rofi clipmenu" -interval = 0
M config/rofi/config

@@ -1,4 +1,4 @@

-rofi.theme: flat-solarized # solarized -rofi.font: hack 12 +rofi.theme: solarized +rofi.font: Jetbarains Mono 12 rofi.auto-select: false rofi.hide-scrollbar: true
M config/rofi/rofi-power-menu

@@ -1,10 +1,11 @@

#!/usr/bin/env bash + set -e set -u all=(shutdown reboot suspend hibernate logout lockscreen) -show=("${all[@]}") +show=("${all[@]}") declare -A texts texts[lockscreen]="lock screen"

@@ -34,7 +35,6 @@ actions[reboot]="systemctl reboot"

actions[shutdown]="systemctl poweroff" confirmations=(reboot shutdown logout) - dryrun=false showsymbols=true

@@ -212,4 +212,4 @@ fi

done echo "Invalid selection: $selection" >&2 exit 1 -fi +fi
A config/rofi/solarized.rasi

@@ -0,0 +1,136 @@

+* { + selected-normal-foreground: rgba ( 129, 147, 150, 100 % ); + foreground: rgba ( 129, 147, 150, 100 % ); + normal-foreground: @foreground; + alternate-normal-background: rgba ( 0, 43, 55, 100 % ); + red: rgba ( 220, 50, 47, 100 % ); + selected-urgent-foreground: rgba ( 218, 66, 129, 100 % ); + blue: rgba ( 38, 139, 210, 100 % ); + urgent-foreground: rgba ( 218, 66, 129, 100 % ); + alternate-urgent-background: rgba ( 0, 43, 55, 100 % ); + active-foreground: rgba ( 0, 142, 212, 100 % ); + lightbg: rgba ( 238, 232, 213, 100 % ); + selected-active-foreground: rgba ( 0, 142, 212, 100 % ); + alternate-active-background: rgba ( 0, 43, 55, 100 % ); + background: rgba ( 0, 43, 55, 100 % ); + bordercolor: rgba ( 0, 43, 55, 100 % ); + alternate-normal-foreground: @foreground; + normal-background: rgba ( 0, 43, 55, 100 % ); + lightfg: rgba ( 88, 104, 117, 100 % ); + selected-normal-background: rgba ( 0, 54, 66, 100 % ); + border-color: @foreground; + spacing: 2; + separatorcolor: rgba ( 0, 54, 66, 100 % ); + urgent-background: rgba ( 0, 43, 55, 100 % ); + selected-urgent-background: rgba ( 0, 54, 66, 100 % ); + alternate-urgent-foreground: @urgent-foreground; + background-color: rgba ( 0, 0, 0, 0 % ); + alternate-active-foreground: @active-foreground; + active-background: rgba ( 0, 43, 55, 100 % ); + selected-active-background: rgba ( 0, 54, 66, 100 % ); +} +#window { + background-color: @background; + border: 1; + padding: 5; +} +#mainbox { + border: 0; + padding: 0; +} +#message { + border: 1px dash 0px 0px ; + border-color: @separatorcolor; + padding: 1px ; +} +#textbox { + text-color: @foreground; +} +#listview { + fixed-height: 0; + border: 2px dash 0px 0px ; + border-color: @separatorcolor; + spacing: 2px ; + scrollbar: true; + padding: 2px 0px 0px ; +} +#element { + border: 0; + padding: 1px ; +} +#element.normal.normal { + background-color: @normal-background; + text-color: @normal-foreground; +} +#element.normal.urgent { + background-color: @urgent-background; + text-color: @urgent-foreground; +} +#element.normal.active { + background-color: @active-background; + text-color: @active-foreground; +} +#element.selected.normal { + background-color: @selected-normal-background; + text-color: @selected-normal-foreground; +} +#element.selected.urgent { + background-color: @selected-urgent-background; + text-color: @selected-urgent-foreground; +} +#element.selected.active { + background-color: @selected-active-background; + text-color: @selected-active-foreground; +} +#element.alternate.normal { + background-color: @alternate-normal-background; + text-color: @alternate-normal-foreground; +} +#element.alternate.urgent { + background-color: @alternate-urgent-background; + text-color: @alternate-urgent-foreground; +} +#element.alternate.active { + background-color: @alternate-active-background; + text-color: @alternate-active-foreground; +} +#scrollbar { + width: 4px ; + border: 0; + handle-width: 8px ; + padding: 0; +} +#mode-switcher { + border: 2px dash 0px 0px ; + border-color: @separatorcolor; +} +#button.selected { + background-color: @selected-normal-background; + text-color: @selected-normal-foreground; +} +#inputbar { + spacing: 0; + text-color: @normal-foreground; + padding: 1px ; +} +#case-indicator { + spacing: 0; + text-color: @normal-foreground; +} +#entry { + spacing: 0; + text-color: @normal-foreground; +} +#prompt { + spacing: 0; + text-color: @normal-foreground; +} +#inputbar { + children: [ prompt,textbox-prompt-colon,entry,case-indicator ]; +} +#textbox-prompt-colon { + expand: false; + str: ":"; + margin: 0px 0.3em 0em 0em ; + text-color: @normal-foreground; +}
A conkyrc

@@ -0,0 +1,68 @@

+conky.config = { + background = false, + cpu_avg_samples = 2, + diskio_avg_samples = 10, + double_buffer = true, + if_up_strictness = 'address', + net_avg_samples = 2, + no_buffers = true, + temperature_unit = 'celsius', + text_buffer_size = 2048, + update_interval = 2, + imlib_cache_size = 0, + alignment = 'top_right', + gap_x = 40, + gap_y = 60, + minimum_height = 200, + minimum_width = 200, + maximum_width = 700, + border_inner_margin = 10, + border_outer_margin = 0, + border_width = 0, + default_bar_width = 280, + default_bar_height = 2, + default_gauge_height = 25, + default_gauge_width =40, + default_graph_height = 40, + default_graph_width = 153, + default_shade_color = '#000000', + default_outline_color = '#828282', + draw_borders = false, + draw_graph_borders = true, + draw_shades = false, + draw_outline = false, + stippled_borders = 0, + extra_newline = false, + format_human_readable = true, + font = 'Jatbrains Mono', + max_text_width = 0, + max_user_text = 16384, + override_utf8_locale = false, + short_units = true, + top_name_width = 21, + top_name_verbose = false, + uppercase = false, + use_spacer = 'none', + use_xft = true, + xftalpha = 1, + own_window = true, + own_window_argb_value = 0, + own_window_argb_visual = true, + own_window_class = 'Conky', + own_window_colour = '#000000', + own_window_hints = 'undecorated,below,sticky,skip_taskbar,skip_pager', + own_window_transparent = yes, + own_window_title = 'Conky', + own_window_type = 'override', + background = no, + default_color = '#FFFFFF', + color1 = '#FFFFFF', + color2 = '#DFDFDF' +}; + +conky.text = [[ +${voffset 10}${font Jatbrains Mono:weight=Bold:size=14}${color1}Todo: ${font Jatbrains Mono:weight=Medium:size=10}${color2}<mod+alt+t>${font} +${exec cat -n "$HOME/.todo" | fmt -s -w 50}\ +${color1} +${font} +]]
A script/dmenu/dmenu-config-edit.sh

@@ -0,0 +1,46 @@

+#!/bin/sh + +declare options=("i3 +berry +qtile +polybar +picom +dunst +qutebrowser +quickmarks +vim +neovim +kitty +taskwarrior +fish +zsh") + +choice=$(echo -e "${options[@]}" | dmenu -h 24 -p 'Edit config file: ') + +case "$choice" in + i3) choice="$HOME/.config/i3/config" ;; + qtile) choice="$HOME/.config/qtile/config.py" ;; + berry) + declare opt=("berry\npolybar\nsxhkd") + why=$(echo -e "${opt}" | dmenu -h 24 -p 'Berry') + case "$why" in + "berry") choice="$HOME/.config/berry/autostart" ;; + "polybar") choice="$HOME/.config/berry/polybar/polybar" ;; + "sxhkd") choice="$HOME/.config/berry/sxhkdrc" ;; + esac + ;; + picom) choice="$HOME/.config/picom.conf" ;; + polybar) choice="$HOME/.config/polybar/config" ;; + quickmarks) choice="$HOME/.config/qutebrowser/quickmarks" ;; + qutebrowser) choice="$HOME/.config/qutebrowser/config.py" ;; + vim) choice="$HOME/.vimrc" ;; + nvim) choice="$HOME/.config/nvim/init.vim" ;; + dunst) choice="$HOME/.config/dunst/dunstrc" ;; + zsh) choice="$HOME/.zshrc" ;; + taskwarior) choice="$HOME/.taskrc" ;; + fish) choice="$HOME/.config/fish/config.fish" ;; + kitty) choice="$HOME/.config/kitty/kitty.conf" ;; + quit) echo "Program terminated." && exit 1 ;; + *) exit 1 ;; +esac +kitty -e nvim "$choice"
A script/dmenu/dmenu-power.sh

@@ -0,0 +1,45 @@

+#!/bin/sh + +declare options=("Shut Down +Reboot +Logout +Suspend +Lock Screen") + +choice=$(echo -e "${options[@]}" | dmenu -h 24 -p 'Power') + +case "$choice" in + "Shut Down") + declare opt=("Yes\nNo") + yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') + case "$yesno" in + "Yes") exec systemctl poweroff ;; + "No") exec exit 0 ;; + esac + ;; + "Reboot") + declare opt=("Yes\nNo") + yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') + case "$yesno" in + "Yes") exec systemctl reboot ;; + "No") exec exit 0 ;; + esac + ;; + "Logout") + declare opt=("Yes\nNo") + yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') + case "$yesno" in + "Yes") exec loginctl terminate-session $XDG_SESSION_ID ;; + "No") exec exit 0 ;; + esac + ;; + "Lock Screen") + declare opt=("Yes\nNo") + yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') + case "$yesno" in + "Yes") exec loginctl lock-session $XDG_SESSION_ID ;; + "No") exec exit 0 ;; + esac + ;; + *) exit 1 ;; +esac
A script/dmenu/dmenu-sysmon.sh

@@ -0,0 +1,15 @@

+#!/bin/sh + +declare options=("htop +bashtop +gtop") + +choice=$(echo -e "${options[@]}" | dmenu -h 24 -p 'System monitor ') + +case "$choice" in + htop) choice="htop" ;; + bashtop) choice="bashtop" ;; + gtop) choice="gtop" ;; + *) exit 1 ;; +esac +kitty -e "$choice"
D scripts/dmenu/dmenu-config-edit.sh

@@ -1,39 +0,0 @@

-#!/bin/sh - -declare options=("i3 -qtile -bspwm -polybar -picom -dunst -qutebrowser -quickmarks -vim -neovim -kitty -taskwarior -fish -zsh -quit") - -choice=$(echo -e "${options[@]}" | dmenu -h 24 -p 'Edit config file: ') - -case "$choice" in - i3) choice="$HOME/.config/i3/config" ;; - qtile) choice="$HOME/.config/qtile/config.py" ;; - bspwm) choice="$HOME/.config/bspwm/bspwmrc" ;; - picom) choice="$HOME/.config/picom.conf" ;; - polybar) choice="$HOME/.config/polybar/config" ;; - quickmarks) choice="$HOME/.config/qutebrowser/quickmarks" ;; - qutebrowser) choice="$HOME/.config/qutebrowser/config.py" ;; - vim) choice="$HOME/.vimrc" ;; - nvim) choice="$HOME/.config/nvim/init.vim" ;; - dunst) choice="$HOME/.config/dunst/dunstrc" ;; - zsh) choice="$HOME/.zshrc" ;; - taskwarior) choice="$HOME/.taskrc" ;; - fish) choice="$HOME/.config/fish/config.fish" ;; - kitty) choice="$HOME/.config/kitty/kitty.conf" ;; - quit) echo "Program terminated." && exit 1 ;; - *) exit 1 ;; -esac -kitty -e nvim "$choice"
D scripts/dmenu/dmenu-power.sh

@@ -1,47 +0,0 @@

-#!/bin/sh - -declare options=("Shut Down -Reboot -Logout -Suspend -Lock Screen -quit") - -choice=$(echo -e "${options[@]}" | dmenu -h 24 -p 'Power') - -case "$choice" in - "Shut Down") - declare opt=("Yes\nNo") - yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') - case "$yesno" in - "Yes") exec systemctl poweroff ;; - "No") exec exit 0 ;; - esac - ;; - "Reboot") - declare opt=("Yes\nNo") - yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') - case "$yesno" in - "Yes") exec systemctl reboot ;; - "No") exec exit 0 ;; - esac - ;; - "Logout") - declare opt=("Yes\nNo") - yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') - case "$yesno" in - "Yes") exec loginctl terminate-session $XDG_SESSION_ID ;; - "No") exec exit 0 ;; - esac - ;; - "Lock Screen") - declare opt=("Yes\nNo") - yesno=$(echo -e "${opt[@]}" | dmenu -h 24 -p 'Power') - case "$yesno" in - "Yes") exec loginctl lock-session $XDG_SESSION_ID ;; - "No") exec exit 0 ;; - esac - ;; - quit) echo "Program terminated." && exit 1 ;; - *) exit 1 ;; -esac
D scripts/dmenu/dmenu-sysmon.sh

@@ -1,17 +0,0 @@

-#!/bin/sh - -declare options=("htop -bashtop -gtop -quit") - -choice=$(echo -e "${options[@]}" | dmenu -h 24 -p 'System monitor ') - -case "$choice" in - htop) choice="htop" ;; - bashtop) choice="bashtop" ;; - gtop) choice="gtop" ;; - quit) echo "Program terminated." && exit 1 ;; - *) exit 1 ;; -esac -kitty -e "$choice"